Subject: Uninstalling Git

From: [email-masked]
Date: Sun, 23 Sep 2007 20:30:36 +0200

Hello!

This must be a stupid-obvious-newbie question but...

Well, the point is that I installed the git version 1.5.2.1 in an ubuntu 
box.  That was done following the INSTALL instructions in the 
corresponding tarball.  I typed:

$ make configure
$ ./configure --prefix=/usr/local
$ make all doc
$ sudo make install install-doc

First, I'd like to uninstall the thing completely, how do I do that?

Second, what would be the correct procedure to follow if I would like 
just to upgrade to a newer version? install over the older perhaps? Is 
that always safe in the sense that there won't be any dangling piece of 
bin nor doc?

Thanks in advance!